# Making lifetimes a parameter of a trait instead of that of the GAT

Current:
```rust
pub trait WeakFunctor {
    type F<'a, A: 'a>: 'a
    where
        Self: 'a;
}
```

Proposed:
```rust
pub trait WeakFunctor<'a>: 'a {
    type F<A: 'a>: 'a;
}
```

